
Katello - Bug #37072

Package update chooses latest version instead of input version

01/19/2024 05:40 PM - Ian Ballou

Status: New   

Priority: Normal   

Assignee:    

Category: Hosts   

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

For some RPMs, notably crypto-policies, when upgrading via the host details page, the chosen upgrade version is ignored and it gets

the latest version.

The chosen version does make it into the "Selected update versions", but the rendered template ends up with the latest version.

It's likely a bug with `def package_names_for_job_template`.

To reproduce:

1) Create a RHEL 9 machine with crypto-policies-20221215-1.git9a18988.el9.noarch

2) Sync RHEL 9 appstream + baseos

3) Try to upgrade to crypto-policies-scripts-20221215-1.git9a18988.el9_2.1.noarch via the dropdown on the right side of the

upgradable RPM

Attached screenshot shows the issue.

Unsure how many versions this affects. Tested on Katello 4.12-devel

History

#1 - 01/19/2024 05:40 PM - Ian Ballou

- Target version changed from Katello 4.11.1 to Katello 4.12.0

#2 - 01/24/2024 06:54 PM - Partha Aji

- Triaged changed from No to Yes

#3 - 03/27/2024 01:33 PM - Quinn James

- Target version deleted (Katello 4.12.0)

- Triaged changed from Yes to No

Removing target version for 4.12 RC/GA re-triage

#4 - 03/27/2024 05:54 PM - Jeremy Lenz

- Target version set to Katello 4.13.0

- Triaged changed from No to Yes
